{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 14.0, 59.0, 820.0, 512.0 ],
		"bglocked" : 0,
		"defrect" : [ 14.0, 59.0, 820.0, 512.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Comment: when a message event is received, this \"print\" object causes the string to be printed to the console with the prefix \"print : \"",
					"linecount" : 2,
					"id" : "obj-1",
					"fontsize" : 12.0,
					"patching_rect" : [ 150.0, 305.0, 447.0, 34.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Comment: when a bang event is detected, this \"message box\" object causes the specified string to be formed into a \"message event\" and then dispatch through the outgoing patch cord to the connected object",
					"linecount" : 3,
					"id" : "obj-2",
					"fontsize" : 12.0,
					"patching_rect" : [ 151.0, 234.0, 489.0, 48.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Comment: when a bang event is detected, this \"uzi\" object causes the specified number of bang events to be dispatched through the outgoing patch code to the connected object",
					"linecount" : 3,
					"id" : "obj-3",
					"fontsize" : 12.0,
					"patching_rect" : [ 150.0, 170.0, 481.0, 48.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "hello",
					"outlettype" : [ "" ],
					"id" : "obj-4",
					"fontsize" : 12.0,
					"patching_rect" : [ 72.0, 234.0, 70.0, 18.0 ],
					"numinlets" : 2,
					"numoutlets" : 1,
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"outlettype" : [ "bang" ],
					"id" : "obj-5",
					"patching_rect" : [ 72.0, 114.0, 15.0, 15.0 ],
					"numinlets" : 1,
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "print",
					"id" : "obj-6",
					"fontsize" : 12.0,
					"patching_rect" : [ 72.0, 308.0, 73.0, 20.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "uzi 10",
					"outlettype" : [ "bang", "bang", "int" ],
					"id" : "obj-7",
					"fontsize" : 12.0,
					"patching_rect" : [ 72.0, 170.0, 72.0, 20.0 ],
					"numinlets" : 2,
					"numoutlets" : 3,
					"fontname" : "Arial",
					"color" : [ 1.0, 0.890196, 0.090196, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Comment: clicking this \"bang\" object causes a \"bang event\" to be dispatched and sent through the outgoing \"patch cord\" that goes to the connected object",
					"linecount" : 2,
					"id" : "obj-8",
					"fontsize" : 12.0,
					"patching_rect" : [ 105.0, 114.0, 500.0, 34.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial"
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-4", 0 ],
					"destination" : [ "obj-6", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-7", 0 ],
					"destination" : [ "obj-4", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-5", 0 ],
					"destination" : [ "obj-7", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
