{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 6.0, 51.0, 706.0, 664.0 ],
		"bglocked" : 0,
		"defrect" : [ 6.0, 51.0, 706.0, 664.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Comment: MaxMSP launches its own private version of the Java Virtual Machine and uses that virtual machine until MaxMSP is quit. It loads the specified class *once* upon initialization and keeps it in working memory. Even if the file MyMaxObject.class changes on the file system or even disappears, MaxMSP will persist in usings its own version that is loaded in working memory. To enforce that MaxMSP uses the most up-to-date version of the bytecode, the patch must be re-opened (File->Open Recent) or double-click on the file to re-open it)",
					"linecount" : 6,
					"numoutlets" : 0,
					"id" : "obj-1",
					"fontsize" : 12.0,
					"patching_rect" : [ 68.0, 325.0, 575.0, 89.0 ],
					"numinlets" : 1,
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Comment: when a bang event is detected, this \"uzi\" object causes the specified number of bang events to be dispatched through the outgoing patch code to the connected object",
					"linecount" : 3,
					"numoutlets" : 0,
					"id" : "obj-2",
					"fontsize" : 12.0,
					"patching_rect" : [ 154.0, 172.0, 481.0, 48.0 ],
					"numinlets" : 1,
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Comment: clicking this \"bang\" object causes a \"bang event\" to be dispatched and sent through the outgoing \"patch cord\" that goes to the connected object",
					"linecount" : 2,
					"numoutlets" : 0,
					"id" : "obj-3",
					"fontsize" : 12.0,
					"patching_rect" : [ 106.0, 116.0, 500.0, 34.0 ],
					"numinlets" : 1,
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"numoutlets" : 1,
					"id" : "obj-4",
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 72.0, 119.0, 15.0, 15.0 ],
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "mxj MyMaxObject",
					"numoutlets" : 2,
					"id" : "obj-5",
					"outlettype" : [ "", "" ],
					"fontsize" : 12.0,
					"patching_rect" : [ 72.0, 243.0, 112.0, 20.0 ],
					"numinlets" : 1,
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "uzi 10",
					"numoutlets" : 3,
					"id" : "obj-6",
					"outlettype" : [ "bang", "bang", "int" ],
					"fontsize" : 12.0,
					"patching_rect" : [ 72.0, 173.0, 70.0, 20.0 ],
					"numinlets" : 2,
					"fontname" : "Arial",
					"color" : [ 1.0, 0.890196, 0.090196, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Comment: when a bang event is detected, this \"mxj\" object causes the \"bang\" method of the compiled Java class \"MyMaxObject.class\" to be invoked. If MaxMSP cannot find MyMaxObject.class, then it prints the following to the console \"error: Could not load class 'MyMaxObject' \"",
					"linecount" : 4,
					"numoutlets" : 0,
					"id" : "obj-7",
					"fontsize" : 12.0,
					"patching_rect" : [ 194.0, 236.0, 450.0, 62.0 ],
					"numinlets" : 1,
					"fontname" : "Arial"
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-6", 0 ],
					"destination" : [ "obj-5", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-4", 0 ],
					"destination" : [ "obj-6", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
